
//------------------------------------------------------------------------------
function mostrar(id1,grado,curso,asignatura,periodo,r1,r2,ancho,alto){

   $( "#dialog1" ).dialog({
          width: ancho,
          height: alto
         

  });

   var parametros = {"accion":'listado',
                     "id1":id1,
                     "grado":grado,
                     "curso":curso,
                     "asignatura":asignatura,
                     "periodo":periodo,
                     "r1":r1,
                     "r2":r2
                     };

                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogo_planilla.php",
                    type: "POST",
                success: function(opciones){$("#dialog1").html(opciones);}})
}

//------------------------------------------------------------------------------
function mostrar1(codigo,id1,grado,curso,asignatura,periodo,r1,ancho,alto){

   $( "#dialog1" ).dialog({
          width: ancho,
          height: alto
    

    });

    var parametros = {"accion":'listado_logro',
                     "codigo":codigo,
                     "id1":id1,
                     "grado":grado,
                     "curso":curso,
                     "asignatura":asignatura,
                     "periodo":periodo,
                     "r1":r1

                     };

                    $.ajax({
                    data:  parametros,
                    url:"app/model/catalogo_planilla.php",
                    type: "POST",
                success: function(opciones){$("#dialog1").html(opciones);}})
}
//-------------------------------------------------------

function mostrar_lista(id1,codigo){

    document.getElementById(id1).value=codigo;

    $("#dialog1").click(function () {
            $(this).dialog('close');
    });

    document.getElementById(id1).focus();

}
//-------------------------------------------------------
function mostrar_logro(l,id1){

document.getElementById(id1).value=l;

  $("#dialog1").click(function () {
            $(this).dialog('close');
    });

document.getElementById(id1).focus();

}

//----------- MOSTRAR EMERGENTE - CUADRO DE NOTAS -------------

var cuadro_nota;

function abrir_dialog(l) {

    //-----Muestra cuadro de Notas ----------

        var parametros1 = {"accion":'cuadro_notas'};

          $.ajax({
                data:  parametros1,
                url:   'comprobar.php',
                type:  'post',
                success:function (response){

                 $("#dialog").html(response);

           }
        });


    cuadro_nota=l;

      $( "#dialog" ).dialog({
          width: '400px'
          
      });
    }

function nota(n) {
      document.getElementById(cuadro_nota).value=n;
      document.getElementById(cuadro_nota).focus();

      $("#dialog").click(function () {
            $(this).dialog('close');
      });
}